from django.contrib import admin
from django.urls import path, include
from django.conf.urls import handler404
from django.conf.urls.static import static
from django.conf import settings
from billing import views


urlpatterns = [

    path('check', views.create_charges_for_recurring_services, name='check'),

    # LISTING
    path('items', views.items, name='items'),
    path('orders', views.orders, name='orders'),
    path('invoices', views.invoices, name='invoices'),


    # ADD
    path('add-product', views.add_product, name='addproduct'),
    path('add-service', views.add_service, name='addservice'),
    path('add-order', views.add_order, name='addorder'),


    path('fetch-customer-items/<int:customer_id>/', views.fetch_customer_items, name='fetch_customer_items'),
    path('fetch-invoice-details/<int:invoice_id>/', views.fetch_invoice_details, name='fetchinvoicedetails'),


    path('invoice-details/<int:invoice_id>/', views.invoice_details, name='invoicedetails'),

]
